Bug 518397 - Firefox crashes when entering quake live.
Summary: Firefox crashes when entering quake live.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 09:14 UTC by Aioanei Rares
Modified: 2018-04-11 17:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-07 23:10:45 UTC
Type: ---


Attachments (Terms of Use)
Xorg.0.log (214.19 KB, text/plain)
2009-09-01 08:57 UTC, Alexey Kuznetsov
no flags Details
dmesg (41.09 KB, text/plain)
2009-09-01 08:57 UTC, Alexey Kuznetsov
no flags Details
messages (10.87 KB, text/plain)
2009-09-01 09:11 UTC, Alexey Kuznetsov
no flags Details
dmesg output (87.63 KB, text/plain)
2009-09-02 21:32 UTC, Damien A.
no flags Details
Xorg.0.log (65.34 KB, text/plain)
2009-09-02 21:32 UTC, Damien A.
no flags Details

Description Aioanei Rares 2009-08-20 09:14:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.2) Gecko/20090803 Fedora/3.5.2-2.fc11 Firefox/3.5.2

How reproducible:

everytime

Steps to Reproduce:
1.create an account on quake live and install the *.xpi
2.select your character and settings and click play.
3.
  
Actual results:

firefox crashes

Expected results:


Additional info:

Running from terminal gives me a lot of messages like 

(firefox:2534): Gdk-WARNING **: XID collision, trouble ahead

(firefox:2534): Gdk-WARNING **: XID collision, trouble ahead


before the crash and then 

LoadPlugin: failed to initialize shared library /home/arares/.mozilla/firefox/66oiulpr.default/extensions/quakeliveplugin@idsoftware.com/plugins/npquakelive.i386.so [/home/arares/.mozilla/firefox/66oiulpr.default/extensions/quakeliveplugin@idsoftware.com/plugins/npquakelive.i386.so: wrong ELF class: ELFCLASS32]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'XF86DGANoDirectVideoMode'.
  (Details: serial 55 error_code 136 request_code 130 minor_code 2)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 173317 error_code 161 request_code 149 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

The same appears with --sync or without it.

Comment 1 Tom London 2009-08-26 19:32:03 UTC
I'm seeing the "XID collision" messages without a crash (so far).  For example:

2009-08-26 12:22:54:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:22:56:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:22:56:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:22:57:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:22:57:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:22:57:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:22:57:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:26:13:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead
2009-08-26 12:26:15:(firefox:2198): Gdk-WARNING **: XID collision, trouble ahead

Comment 2 Alexey Kuznetsov 2009-08-29 18:32:37 UTC
same for my X1600 ATI.

Comment 3 Alexey Kuznetsov 2009-08-29 18:33:45 UTC
x32 system

[axet@axet-laptop ~]$ firefox 
LoadPlugin: failed to initialize shared library /home/axet/.mozilla/firefox/cqjbdmfy.default/extensions/quakeliveplugin@idsoftware.com/plugins/npquakelive.x64.so [/home/axet/.mozilla/firefox/cqjbdmfy.default/extensions/quakeliveplugin@idsoftware.com/plugins/npquakelive.x64.so: wrong ELF class: ELFCLASS64]
LoadPlugin: failed to initialize shared library /home/axet/.mozilla/firefox/cqjbdmfy.default/extensions/quakeliveplugin@idsoftware.com/plugins/npquakelive.x64.so [/home/axet/.mozilla/firefox/cqjbdmfy.default/extensions/quakeliveplugin@idsoftware.com/plugins/npquakelive.x64.so: wrong ELF class: ELFCLASS64]
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'XF86DGANoDirectVideoMode'.
  (Details: serial 53 error_code 136 request_code 130 minor_code 2)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[axet@axet-laptop ~]$

Comment 4 Martin Stransky 2009-09-01 08:40:31 UTC
Please try to download official mozilla firefox binaries from http://www.mozilla.org/ and try the quake live with it.

Comment 5 Matěj Cepl 2009-09-01 08:45:46 UTC
For 64bit Firefox upstream binary go to ftp://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-1.9.1/ but note that it is testing and experimental build, so don't use it for anything serious and backup your ~/.mozilla first.

Comment 6 Alexey Kuznetsov 2009-09-01 08:48:15 UTC
i think its not ff problem, its -ati drivers or x-server problem.

http://www.quakelive.com/forum/showthread.php?t=31962

Comment 7 Matěj Cepl 2009-09-01 08:50:38 UTC
Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 8 Alexey Kuznetsov 2009-09-01 08:54:36 UTC
if you talking about:

    LoadPlugin: failed to initialize shared library

then its not an error. because ff cant initialize 64-bit plugin, in 32-bit system. which mena idsofware put 2 pugins to browser for booth systems, for compatibility reason.

Comment 9 Alexey Kuznetsov 2009-09-01 08:57:30 UTC
Created attachment 359361 [details]
Xorg.0.log

Comment 10 Alexey Kuznetsov 2009-09-01 08:57:54 UTC
Created attachment 359362 [details]
dmesg

Comment 11 Matěj Cepl 2009-09-01 09:08:10 UTC
I don't see anything bad here. Could we get /var/log/messages and content of /var/log/gdm as well, please?

Thank you

Comment 12 Matěj Cepl 2009-09-01 09:11:06 UTC
(In reply to comment #8)
> if you talking about:
> 
>     LoadPlugin: failed to initialize shared library
> 
> then its not an error. because ff cant initialize 64-bit plugin, in 32-bit
> system. which mena idsofware put 2 pugins to browser for booth systems, for
> compatibility reason.  

No, I mean that upstream provides officially 32bit builds which is not simple to make work on 64bit Firefox. So, it will be easier for you to use 64bit unstable build for testing requested in comment 4.

Comment 13 Matěj Cepl 2009-09-01 09:11:44 UTC
(In reply to comment #12)
> to make work on 64bit Firefox.

64bit Fedora that is.

Comment 14 Alexey Kuznetsov 2009-09-01 09:11:54 UTC
Created attachment 359363 [details]
messages

Comment 15 Damien A. 2009-09-02 21:31:11 UTC
Same thing here with Fedora 11.

Graphic Card: ATI X300
Free driver radeon

Same error message on Firefox crash.
The strange thing is that's work on my other computer (F11, same level of update).
I attach my dmesg and Xorg.log. It seems there's nothing relevant on /var/log/messages.

Comment 16 Damien A. 2009-09-02 21:32:03 UTC
Created attachment 359599 [details]
dmesg output

Comment 17 Damien A. 2009-09-02 21:32:38 UTC
Created attachment 359600 [details]
Xorg.0.log

Comment 18 Tomasz Torcz 2009-09-19 19:57:24 UTC
I got the same error with Firefox in current rawhide (F12), with Intel drivers (G45 in Thinkpad T400). It was working OK few weeks ago, some updates broke it. Maybe page-flip removal?

Comment 19 Alexey Kuznetsov 2009-09-19 20:38:11 UTC
on my system i did rebuild ati driver from git repo. and quakearena start to work with sound issues only and small Xlib trouble (xlib crash solution: http://www.quakelive.com/forum/showthread.php?t=31964).

i got -ati driver from fedora repo, and replace source from ati git (6.12.4) and drop all fedora paches (kms paches). after it i did rpmbuild -ba xorg-drv-ati.spec. after it, you need to put nomodeset to kernel param and you get quakelive.

im not sure which my action help me. try to add nomodeset to kernel param, maybe it is enough.

Comment 20 Tomasz Torcz 2009-09-30 20:09:16 UTC
Could it be related to recent DGA breakage in xserver?
http://lists.x.org/pipermail/xorg/2009-September/047419.html

Comment 21 Alexey Kuznetsov 2009-09-30 20:14:19 UTC
it fixed in f12. f12 alpha with last updates works fine on my -ati machine

Comment 22 Matěj Cepl 2009-11-05 18:36:42 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 23 Alexey Kuznetsov 2009-11-05 19:06:34 UTC
f12 works fine

Comment 24 Matěj Cepl 2009-11-07 23:10:45 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.